summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Lionel Young2014-06-29 15:20:31 +0200
committer Willy Sudiarto Raharjo2014-06-29 15:20:31 +0200
commit8fe7e4b339ef29fa8302cf4c982a1a55d2323e7b (patch)
tree2804a4e0152f5347ae5d967f7ff2e6f387967e65 /libraries
parent82895ea5fa1528088c8abee03a60be8a4edc5896 (diff)
downloadslackbuilds-8fe7e4b339ef29fa8302cf4c982a1a55d2323e7b.tar.gz
libraries/utfcpp: Added (utf-8 in C++).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/utfcpp/README3
-rw-r--r--libraries/utfcpp/slack-desc19
-rw-r--r--libraries/utfcpp/utfcpp.SlackBuild57
-rw-r--r--libraries/utfcpp/utfcpp.info10
4 files changed, 89 insertions, 0 deletions
diff --git a/libraries/utfcpp/README b/libraries/utfcpp/README
new file mode 100644
index 0000000000..1314d11fce
--- /dev/null
+++ b/libraries/utfcpp/README
@@ -0,0 +1,3 @@
+UTF-8 with C++ in a Portable Way
+
+This version is forked to work with ledger 3+
diff --git a/libraries/utfcpp/slack-desc b/libraries/utfcpp/slack-desc
new file mode 100644
index 0000000000..c72b247bfd
--- /dev/null
+++ b/libraries/utfcpp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+utfcpp: utfcpp (utf-8 in C++)
+utfcpp:
+utfcpp: UTF-8 with C++ in a Portable Way
+utfcpp:
+utfcpp:
+utfcpp:
+utfcpp:
+utfcpp:
+utfcpp:
+utfcpp:
+utfcpp: Home: http://utfcpp.sourceforge.net/
diff --git a/libraries/utfcpp/utfcpp.SlackBuild b/libraries/utfcpp/utfcpp.SlackBuild
new file mode 100644
index 0000000000..a2748d9372
--- /dev/null
+++ b/libraries/utfcpp/utfcpp.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+# Slackware build script for utfcpp
+# Copyright 2014 Lionel Young USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=utfcpp
+VERSION=${VERSION:-2012.02.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+GITHUBVERS="2233ec933f5661c7050b94d3b14f5f9f51ae3d55"
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip -o $CWD/$GITHUBVERS.zip
+cd $PRGNAM-$GITHUBVERS
+chown -R root:root .
+
+mkdir -p $PKG/usr/include
+mv source/* $PKG/usr/include
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/ReleaseNotes doc/utf8cpp.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/utfcpp/utfcpp.info b/libraries/utfcpp/utfcpp.info
new file mode 100644
index 0000000000..fadc692c44
--- /dev/null
+++ b/libraries/utfcpp/utfcpp.info
@@ -0,0 +1,10 @@
+PRGNAM="utfcpp"
+VERSION="2012.02.10"
+HOMEPAGE="http://utfcpp.sourceforge.net/"
+DOWNLOAD="http://github.com/ledger/utfcpp/archive/2233ec933f5661c7050b94d3b14f5f9f51ae3d55.zip"
+MD5SUM="20e30f9b8eb697c19e6fb56ccdd67c78"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Lionel Young"
+EMAIL="lionelyoung@gmail.com"